Get Business Details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionConstraints
apikeyApikey of the account where the app is to be created.It should be a valid gupshup.io apikey

cURL Request

curl --location 'https://api.gupshup.io/wa/app/{{APP_ID}}/business' \
--header 'Content-Type: application/json' \
--header 'apikey: {{APIKEY}}'

Response

{
    "business": {
        "addressLine1": "{{ADDRESS_LINE_1}}",
        "addressLine2": "{{ADDRESS_LINE_2}}",
        "city": "{{CITY}}",
        "contactName": "{{CONTACT_NAME}}",
        "contactNumber": "{{CONTACT_NUMBER}}",
        "country": "{{COUNTRY_CODE}}",
        "createdOn": {{CREATED_ON_TIMESTAMP}},
        "displayAddress": "{{ADDRESS}}",
        "email": "{{EMAIL_ID}}",
        "emailVerified": {{STATUS_OF_EMAIL_VERIFICATION}},
        "hqRegion": "{{HQ_REGION}}",
        "id": "{{APP_ID}}",
        "modifiedOn": {{LAST_MODIFIED_ON_TIMESTAMP}},
        "name": "{{BUSINESS_NAME}}",
        "pinCode": "{{PINCODE}}",
        "preferredCountry": "{{PREFERRED_COUNTRY}}",
        "state": "{{STATE}}",
        "tncAccepted": {{TERMS_AND_CONDITION_ACCEPTANCE_STATUS}},
        "vertical": "{{BUSINESS_VERTICAL}}",
        "website": "{{BUSINESS_WEBSITE}}"
    },
    "status": "success"
}

Status Codes

Status CodeResponseComments
Success
200{ "business": { "addressLine1": "{{ADDRESS_LINE_1}}", "addressLine2": "{{ADDRESS_LINE_2}}", "city": "{{CITY}}", "contactName": "{{CONTACT_NAME}}", "contactNumber": "{{CONTACT_NUMBER}}", "country": "{{COUNTRY_CODE}}", "createdOn": {{CREATED_ON_TIMESTAMP}}, "displayAddress": "{{ADDRESS}}", "email": "{{EMAIL_ID}}", "emailVerified": {{STATUS_OF_EMAIL_VERIFICATION}}, "hqRegion": "{{HQ_REGION}}", "id": "{{APP_ID}}", "modifiedOn": {{LAST_MODIFIED_ON_TIMESTAMP}}, "name": "{{BUSINESS_NAME}}", "pinCode": "{{PINCODE}}", "preferredCountry": "{{PREFERRED_COUNTRY}}", "state": "{{STATE}}", "tncAccepted": {{TERMS_AND_CONDITION_ACCEPTANCE_STATUS}}, "vertical": "{{BUSINESS_VERTICAL}}", "website": "{{BUSINESS_WEBSITE}}" }, "status": "success" }
Error
400{ "status" : "error", "message" : "Invalid app id provided" }
401{ "status": "error", "message": "Authentication Failed" }
Path Params
string
required

Unique identifier for an app

Headers
string
required

Your account API key

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json